%define oname jthread

Name: libjthread
Version: 1.2.1
Release: alt1

Summary: JThread provides classes to make use of threads easy on different platforms
License: MIT
Group: System/Libraries
URL: http://research.edm.uhasselt.be/~jori/page/index.php?n=CS.Jthread

Source0: http://research.edm.uhasselt.be/jori/jthread/%oname-%version.tar.bz2

Patch0: jthread-1.2.1-alt-unresolved.patch

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Fri Sep 28 2007
#BuildRequires: gcc-c++ gcc-fortran glibc-devel-static
BuildRequires: gcc-c++

%description
JThread provides some classes to make use of threads easy on different
platforms. The classes are actually rather simple wrappers around
existing thread implementations.

%package devel
Summary: Development files for JThread
Group: Development/C++
Requires: libjthread = %version-%release

%description devel
Development files for JThread.

%prep
%setup -q -n %oname-%version
%patch0 -p1

# shutup autoreconf!
touch AUTHORS
touch NEWS
touch README

%build
%__autoreconf
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc ChangeLog LICENSE.MIT README.TXT
%_libdir/libjthread-%version.so

%files devel
%doc doc/manual.tex
%_includedir/jthread
%_libdir/libjthread.so
%_pkgconfigdir/jthread.pc

%changelog
* Fri Sep 28 2007 Igor Zubkov <icesik@altlinux.org> 1.2.1-alt1
- build for Sisyphus

* Tue Aug 28 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-3
- Update URLs

* Mon Aug 28 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-2
- Bump release and rebuild.

* Sat Aug  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-1
- Update to 1.2.1

* Mon Mar  6 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.2-2
- Add dist tag to release.

* Sat Jan  7 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.1.2-1
- Initial build.

